<?=$this->partial('blocks-contentheader');?>

<div class="widget">
    <div class="widget-header">
        <h3><i class="fa fa-magic"></i> 物件新增流程</h3>
    </div>
    <div class="widget-content">
        <div id="rootwizard" class="wizard-wrapper" data-close="2,3,4">
            <div class="wizard">
                <ul class="wizard-steps">
                <?php foreach ($formsteps as $i => $step): ?>
                    <li>
                    <a class="step-link"  data-toggle="tab" href="#step<?=$step[0];?>">
                        <span class="badge badge-info"><?=$step[0];?></span><?=$step[1];?>
                        <span class="chevron"></span>
                    </a>
                    </li>
                <?php endforeach ?>
                </ul>
            </div>

            <div class="tab-content step-content">
            <?php foreach ($formsteps as $i => $step): ?>
            <div class="tab-pane" id="step<?=$step[0];?>">
                <?=$this->partial('../richitem/form-step'.$step[0], ['num'=>$i]);?>
            </div>
            <?php endforeach; ?>
            </div>

<?php if( $this->session->has('richitem-community') ): ?>

            <section class="actions row">
                <aside class="col-sm-6 text-center">
                <button type="button" class="btn btn-default btn-prev btn-lg">
                    <i class="fa fa-arrow-left"></i> 上一步
                </button>
                <button type="button" class="btn btn-primary btn-next btn-lg">
                    下一步 <i class="fa fa-arrow-right"></i>
                </button>
                </aside>

                <aside class="col-sm-6 text-center">
                    <?php if( $this->session->has('create-richitemId') or $this->session->has('edit-richitemId') ): ?>
                    <a class="btn btn-warning btn-lg text-right" href="<?=$this->url->get('houserich/richitem/form/reset') ?>">重新建檔</a>
                    <button id="ctrlFromBtn" type="button" class="btn btn-primary btn-lg text-right">欄位更新</button>
                    <?php else: ?>
                    <a class="btn btn-info btn-lg text-right" href="<?=$this->url->get('houserich/richitem/form/rechoice');?>">重選社區</a>
                    <button id="ctrlFromBtn" type="button" class="btn btn-primary btn-lg text-right">物件建檔</button>
                    <?php endif; ?>
                </aside>
            </section>

<?php endif ?>
        </div>
    </div>
</div>

<script type="text/javascript">
$(function(){
    $('#rootwizard').bootstrapWizard({
        tabClass: 'wizard-steps',
        nextSelector: '.btn-next',
        previousSelector: '.btn-prev',
        // Fired when plugin is initialized
        onInit: function(actTab, navigation, index){
            // 檢查若無主鍵，則將除第一部以外項目暫時隱藏
            if( !$(":hidden[name='richitemId']").length ||
                $(":hidden[name='richitemId']").val() == '' ){
                $(navigation).find('li:not(:first)').hide();
                $(this.previousSelector).hide();
                $(this.nextSelector).hide();
            }
        },
        // Fired when plugin data is shown
        onShow: function(actTab, navigation, index){
            // console.log("here");
        },
        // 下一步
        onNext: function(actTab, navigation, index) {
        },
        // Fired when a tab is clicked (return false to disable moving to that tab and showing it's contents)
        onTabShow: function(actTab, navigation, index) {
            if( index != 0 ) {
                $("#ctrlFromBtn").hide();
            }else{
                $("#ctrlFromBtn").show();
            }
            // console.log( index );
            // console.log( actTab );
            // console.log( navigation );
        },
    });
    // 計算屋齡
    _date_to_count_houseage();
    // 內文介紹
    _wysihtml_description();
    // 欄位遮罩
    Inputmask().mask(document.querySelectorAll("input"));

    <?php if( $this->session->get('create-richitemId') or
              $this->session->get('edit-richitemId') ): ?>
    _depend_userfor( $(".depend-radio").val(), 1 );
    _depend_city_withdistrict( $(".depend-city"), 1 );

    // form-richitem.js
    _ajax_load_htmlblock('<?=$this->url->get('houserich/richitem/loadForm');?>');
    // 面積計算
    _richitem_areas_counter();
    // 車位產權操作
    $(".property-select").each(function(inx, elm){
        _richitem_parking_property( $(elm) );
    });
    $(document).on('change', '.property-select', function(){
        _richitem_parking_property( $(this) );
    });
    // 物價各類總面積
    _richitem_areaall_counter();
    // 物件單價
    _richitem_singleprice_counter();
    // 現況切換
    $(".situation").each(function(){ _richitem_information_situation($(this)); });
    $(document).on("change", ".situation", function(){
        _richitem_information_situation( $(this) );
    });
    // 物件報酬率
    _richitem_invest_counter();

    // 房屋稅、地價稅、契稅計算
    _richitem_tax_counter();

    // 區塊表單送出處理
    $(".btn-ajaxsubmit").click(function(e){
        e.preventDefault();
        var targetForm = $(this).parents('form');
        var validator=targetForm.validate();
        var selfbtn = $(this);

        if( !validator.form() ){
            return ;
        }

        $.ajax({
            url: targetForm.attr('action'),
            type: "post",
            data: targetForm.serialize(),
            dataType: "json",
            beforeSend: function(){
                selfbtn.hide();
            },
            success: function( resp ){
                if( resp.res ){
                    // 隱藏所有紀錄直接移除按鈕
                    targetForm.find(".btn-danger").each(function(){
                        $(this).addClass('hide');
                    });

                    // 替換按鈕
                    $("<a class='btn btn-warning' href='<?=$this->url->get('houserich/richitem/form');?>'>若要再次編輯本區塊紀錄，請重新整理頁面！</a>").insertAfter(selfbtn);
                    selfbtn.remove();
                }
                $(resp.display).pkalert(resp);
            },
            complete: function(){
                selfbtn.show();
            }
        });
    });
    <?php endif; ?>
});
</script>